Package uk.ac.starlink.vo

# Class AbstractAdqlExample.TableWithCols

java.lang.Object
uk.ac.starlink.vo.AbstractAdqlExample.TableWithCols

Enclosing class:
  `AbstractAdqlExample`

public static class AbstractAdqlExample.TableWithCols extends Object
Encapsulates metadata for a table and a selection of colum names from it.

## Method Summary

Modifier and Type
Method
Description
`String[]`
`getColumns()`
Returns the columns array.
`TableMeta`
`getTable()`
Returns the table object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getTable

public TableMeta getTable()
Returns the table object.

Returns:
  table

### getColumns

public String[] getColumns()
Returns the columns array. Column names are ADQL-ready as per `ColumnMeta.getName()`.

Returns:
  array of column names of interest, each ready for use in ADQL